<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Queue;

class CheckQueue extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'queue:check';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Check if there is a job in the queue';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $count = Queue::size(); // Get the number of jobs in the queue
        if ($count > 0) {
            $this->call('queue:process'); // Call the ProcessQueue command if there is a job in the queue
        }
    }
}
